# svn_wc_diff_callbacks3_t Struct Reference
[Working copy management]

Similar to svn_wc_diff_callbacks4_t, but without copyfrom_path and copyfrom_revision arguments to `file_added` and `dir_added` functions. More...

`#include <svn_wc.h>`

## Data Fields
svn_error_t *(* | file_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.file_changed.
svn_error_t *(* | file_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)
| Similar to svn_wc_diff_callbacks4_t.file_added but without copyfrom_path and copyfrom_revision arguments.
svn_error_t *(* | file_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, apr_hash_t *originalprops, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.file_deleted.
svn_error_t *(* | dir_added )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, svn_revnum_t rev, void *diff_baton)
| Similar to svn_wc_diff_callbacks4_t.dir_added but without copyfrom_path and copyfrom_revision arguments.
svn_error_t *(* | dir_deleted )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.dir_deleted.
svn_error_t *(* | dir_props_changed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.dir_props_changed.
svn_error_t *(* | dir_opened )(svn_wc_adm_access_t *adm_access, svn_boolean_t *tree_conflicted, const char *path, svn_revnum_t rev, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.dir_opened.
svn_error_t *(* | dir_closed )(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, void *diff_baton)
| The same as svn_wc_diff_callbacks4_t.dir_closed.

## Detailed Description

Similar to svn_wc_diff_callbacks4_t, but without copyfrom_path and copyfrom_revision arguments to `file_added` and `dir_added` functions.

Since:
  New in 1.6.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

Definition at line 2317 of file svn_wc.h.

## Field Documentation

svn_error_t*(* svn_wc_diff_callbacks3_t::dir_added)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, svn_revnum_t rev, void *diff_baton)

Similar to svn_wc_diff_callbacks4_t.dir_added but without copyfrom_path and copyfrom_revision arguments.

Definition at line 2366 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::dir_closed)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.dir_closed.

Definition at line 2397 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::dir_deleted)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.dir_deleted.

Definition at line 2374 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::dir_opened)(svn_wc_adm_access_t *adm_access, svn_boolean_t *tree_conflicted, const char *path, svn_revnum_t rev, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.dir_opened.

Definition at line 2390 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::dir_props_changed)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const apr_array_header_t *propchanges, apr_hash_t *original_props, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.dir_props_changed.

Definition at line 2381 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::file_added)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)

Similar to svn_wc_diff_callbacks4_t.file_added but without copyfrom_path and copyfrom_revision arguments.

Definition at line 2337 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::file_changed)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *contentstate, svn_wc_notify_state_t *propstate, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, svn_revnum_t rev1, svn_revnum_t rev2, const char *mimetype1, const char *mimetype2, const apr_array_header_t *propchanges, apr_hash_t *originalprops, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.file_changed.

Definition at line 2320 of file svn_wc.h.

svn_error_t*(* svn_wc_diff_callbacks3_t::file_deleted)(svn_wc_adm_access_t *adm_access, svn_wc_notify_state_t *state, svn_boolean_t *tree_conflicted, const char *path, const char *tmpfile1, const char *tmpfile2, const char *mimetype1, const char *mimetype2, apr_hash_t *originalprops, void *diff_baton)

The same as svn_wc_diff_callbacks4_t.file_deleted.

Definition at line 2353 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines